# Alias_TypeCode.h File Reference

`#include "tao/AnyTypeCode/TypeCode.h"`
`#include "tao/TypeCodeFactory_Adapter.h"`
`#include "tao/AnyTypeCode/TypeCode_Base_Attributes.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode.inl"`

Include dependency graph for Alias_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >
| `CORBA::TypeCode` implementation for an OMG IDL `typedef`. More...

## Detailed Description

Id
  Alias_TypeCode.h,v 1.3 2005/11/03 17:38:44 ossama Exp

Header file for a `tk_alias` and `tk_value_box` `CORBA::TypeCode`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>